<div class="animated fadeIn" *ngIf="!flagShowForm">
  <div class="row">
      <div class="col d-flex justify-content-start mb-2">
        <button (click)="newRecord()" class="btn btn-success">
          <i class="fa fa-plus mr-2"></i>Nuevo
        </button>
      </div>
  </div>
  <kendo-grid
    [data]="dataGrid"
    [selectable]="true"
    [navigable]="true"
    [reorderable]="true"
    [resizable]="true"
    [sortable]="true"
    (edit)="editRow($event)"
    (remove)="deleteRow($event)">
    <kendo-grid-column field="dplat"  title="Desglose"></kendo-grid-column>
    <kendo-grid-column field="tmov"   title="T.M."></kendo-grid-column>
    <kendo-grid-column field="codigo" title="Código"></kendo-grid-column>
    <kendo-grid-column field="Monto"  title="Monto"></kendo-grid-column>
    <kendo-grid-column field="dporc"  title="Porc." width="120">
      <ng-template kendoGridFilterCellTemplate>
          <kendo-switch
              (valueChange)="switchChange($event)"
              offLabel="No"
              [checked]="checked"
              onLabel="Si">
          </kendo-switch>
      </ng-template>
      <ng-template kendoGridCellTemplate let-dataItem>
          <input type="checkbox" [checked]="dataItem.dporc" disabled/>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-command-column title="Actions" width="190">
        <ng-template kendoGridCellTemplate let-isNew="isNew">
            <button kendoGridEditCommand [primary]="true">Editar</button>
            <button kendoGridRemoveCommand>Eliminar</button>
        </ng-template>
    </kendo-grid-command-column>
</kendo-grid>
</div>
<div class="animated fadeIn" *ngIf="flagShowForm">
<form [formGroup]="myFormGroup">
    <div class="row">
        <div class="form-group col-4">
          <label for="tmov">Tipo Movimiento</label>
          <kendo-combobox
              [data]="dsTipoMovimiento"
              [(ngModel)]="myFormGroup.value.tmov"
              [textField]="'desc'"
              [valueField]="'tipo'"
              formControlName="tmov"
              [valuePrimitive]="true"
              name="tmov"
              class="w-100">
          </kendo-combobox>
        </div>
        <div class="form-group col-4">
          <label for="codigo">Código</label>
          <kendo-combobox
              [data]="dsCodigos"
              [(ngModel)]="myFormGroup.value.codigo"
              [textField]="'cdesc'"
              [valueField]="'Codigo'"
              formControlName="codigo"
              [valuePrimitive]="true"
              name="codigo"
              class="w-100">
          </kendo-combobox>
        </div>
        <div class="form-group col-2">
          <label for="Monto">Monto</label>
          <input type="number" class="form-control" name="Monto"
                 [(ngModel)]="myFormGroup.value.Monto" formControlName="Monto">
        </div>
        <div class="form-group col-2">
          <label for="dporc" class="w-100">Porcentaje</label>
          <kendo-switch
            formControlName="dporc"
            [(ngModel)]="myFormGroup.value.dporc"
            [onLabel]="'Si'"
            [offLabel]="'No'"
            name="dporc">
          </kendo-switch>
      </div>
    </div>
    <div class="row d-flex justify-content-center my-3">
        <button type="button" class="btn btn-success px-4" (click)="guardarForm();"
                [disabled]="myFormGroup.status === 'INVALID'">
                Guardar
        </button>
        <button type="button" class="btn btn-light px-4 ml-1" (click)="closeForm();">Cerrar</button>
      </div>
</form>
</div>
